patgen(8)

NAME
patgen — Generates a Pattern for a DAHDI Clear Channel Test

SYNOPSIS
patgen dahdi-device

DESCRIPTION
patgen Sends test data to a DAHDI channel. The channel should be of CLEAR signalling (e.g: B channel of a PRI line). pattest(8) is used to test the data at the other side. See its manual for more information. patgen Must be able to write to the channel. Hence this cannot be used for a channel used by Asterisk.

OPTIONS
dahdi-device
    A DAHDI device file.

EXAMPLE
  patgen /dev/dahdi/5

BUGS
Will not work with channels whose number > 249 as they don't have device files. For a simple workaround, see dahdi_diag.c .

SEE ALSO
pattest(8), dahdi_cfg(8), asterisk(8).

AUTHOR
This manual page was written by Tzafrir Cohen <tzafrir.cohen@xorcom.com> Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.